Odoo Professional Report Templates

by
Odoo 10
v 11.0 Third Party 22231
Download for 11.0 series Deploy on Odoo.sh Live Preview
Technical name bi_professional_reports_templates
LicenseOPL-1
Websitehttp://www.browseinfo.in
Repositorygit@bitbucket.org:browseinfo/free_apps.git#11.0
Read description for v 10.0 v 9.0 v 8.0

Professional Report Template

Professional Report Template


Individual Template For Each Company.

User can select template for particular company.

Customizable Templates.

User can apply Fancy, Classic, Modern, Odoo Standard Different Format in Invoice/Purchase Order/Request For Quotation/Sales Order/Sales Quotation/Delivery modules.

Attracting templates for Odoo reports.

We can use this module on Invoice/Purchase Order/Request For Quotation/Sales Order/Sales Quotation/Delivery Note/ all in one module configure the template for that module.

Support For 90 Days

As this module is the very useful for all type of Industries. You can contact us for any Query regarding this Module.

Fency PDF Report

You can configure Fency template for specific report .

Classic PDF Report

You can configure Classic template for specific report .

Modern PDF Report

You can configure Modern template for specific report .

Odoo Standard PDF Report

You can configure Odoo Standard template for specific report .

How to use this module

You Can Goto > Settings > Companies

You can set the Template into company Configuration


Fancy Report Template.

Sale Order.


Delivery Order.


Purchase Order.


Invoice.


Classic Report Template.

Sale Order.


Delivery Order.


Purchase Order.


Invoice.


Modern Report Template.

Sale Order.


Delivery Order.


Purchase Order.


Invoice.


Odoo Standard Template.

Sale Order.


Delivery Order.


Purchase Order.


Invoice.


Now also available in spanish.


Free Support

You will get 90 Days free support incase any bugs or issue (Except data recovery).

At BrowseInfo we offer end to end solution for Odoo services. Which includes analysis & consultation on the workflows and integration part. Please note that You're not allowed to distribute this module after purchase! Incase of any question regarding this module feel free to email us on sales@browseinfo.in or raise a ticket on support.

Odoo Proprietary License v1.0

This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).

You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).

It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.

The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

Odoo
@grari
by on

you have to add translation terms and report work for other language too. Regards

Odoo
@Koh Chong Rong, @Daniel
by on

Please send your issues to sales@browseinfo.in and our support team will help you. Regards

Odoo
@Ruslan Gonzalez
by on

We have passed this issue to our technical team , we will update you soon. Regards

Odoo
Issues when uninstalling
by on

It does install dependencies that I am not interested in, so I just deleted it, but seems like it hasn't remove all views at settings menu, so I am not able to modify anything on that. Please fix. Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 646, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 307, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 683, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 339, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 332, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 927, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 512, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 930, in call_kw return self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 922, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 687, in call_kw return call_kw_model(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 672, in call_kw_model result = method(recs, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/account/models/res_config_settings.py", line 152, in create return super(ResConfigSettings, self).create(values) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3278, in create record = self.browse(self._create(old_vals)) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3371, in _create cr.execute(query, tuple(u[2] for u in updates if len(u) > 2)) File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 155, in wrapper return f(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 232, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: column "module_delivery_ups" of relation "res_config_settings" does not exist LINE 1: ...auth_signup_reset_password", "auto_done_setting", "module_de...

Odoo
I have managed to make it work.Is it possible to customize the layout?
by on
Odoo
I have installed this module but cannot find browseinfo template
by on

May i know how to use this module?How can i select from a list of templates? Thanks. Regards, Thomas Koh

Odoo
duplicate printed invoices
by on

when i print a group of invoices, it print duplicates and unnumbered invoices

Odoo
french translation
by on

how can i translate the invoice to french laguage. Thank you

Odoo
by on
Odoo
like it.
by on

I like it.

Odoo
@ @Anan Zitawi
by on

please send your issue to sales@browseinfo.in and our team will check and fix your issue.

Odoo
Best free module
by on
Odoo
good
by on

Application is very usefull and service is good.

Odoo
excellent app
by on

excellent application is very useful and your support is very good.

Odoo
by on

I Installed it on my Community Edition and got the following error when running purchase report Error: Odoo Server Error Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\cache.py", line 84, in lookup r = d[key] File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\func.py", line 68, in wrapper return func(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\lru.py", line 44, in __getitem__ a = self.d[obj].me KeyError: ('ir.ui.view', , 1, 'bi_professional_reports_templates.report_purchaseorder', (None,)) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\cache.py", line 84, in lookup r = d[key] File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\func.py", line 68, in wrapper return func(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\lru.py", line 44, in __getitem__ a = self.d[obj].me KeyError: ('ir.model.data', , 'bi_professional_reports_templates.report_purchaseorder') During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\web\controllers\main.py", line 1657, in report_download response = self.report_routes(reportname, docids=docids, converter='pdf') File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 512, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\web\controllers\main.py", line 1606, in report_routes pdf = report.with_context(context).render_qweb_pdf(docids, data=data)[0] File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\base\ir\ir_actions_report.py", line 624, in render_qweb_pdf html = self.with_context(context).render_qweb_html(res_ids, data=data)[0] File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\base\ir\ir_actions_report.py", line 662, in render_qweb_html return self.render_template(self.report_name, data), 'html' File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\base\ir\ir_actions_report.py", line 470, in render_template return view_obj.render_template(template, values) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\base\ir\ir_ui_view.py", line 1158, in render_template return self.browse(self.get_view_id(template)).render(values, engine) File "", line 2, in get_view_id File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\cache.py", line 89, in lookup value = d[key] = self.method(*args, **kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\website\models\ir_ui_view.py", line 92, in get_view_id return super(View, self).get_view_id(xml_id) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\base\ir\ir_ui_view.py", line 1065, in get_view_id return self.env['ir.model.data'].xmlid_to_res_id(template, raise_if_not_found=True) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\base\ir\ir_model.py", line 1323, in xmlid_to_res_id return self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)[1] File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\base\ir\ir_model.py", line 1314, in xmlid_to_res_model_res_id return self.xmlid_lookup(xmlid)[1:3] File "", line 2, in xmlid_lookup File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\cache.py", line 89, in lookup value = d[key] = self.method(*args, **kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\base\ir\ir_model.py", line 1303, in xmlid_lookup raise ValueError('External ID not found in the system: %s' % xmlid) ValueError: External ID not found in the system: bi_professional_reports_templates.report_purchaseorder

Odoo
by on

for anyone who has problem with logo not showing on reports change this line: and change to this works for me

Odoo
by on

hey, i have the same problem as Danny. Companys logo wont load on sale report. is there any work around to fix this?

Odoo
Bitnami Odoo on Azure, failed to install
by on

I am using Odoo Community version 11.0.20171218-0 (Ubuntu 14.04) on Microsoft Azure, but failed to install this plugin. Would you please advise how should I do? Thank you very much.

Odoo
@A.j.Kool
by on

We are improving our module, soon multi- language support will be available on our module.

Odoo
Look good, but how to use it with different languages
by on

In English the PDF's look great. But when I select a different language, things go wrong. Is there a way to translate it to my (Dutch) language?

Odoo
@Danny
by on

Would you please send email to our support team on sales@browseinfo.in, they will help you on installation of this module with complete procedure. Thanks

Odoo
how to install this module
by on

For the default sales order from ooo, seem the company image header is missing, how about this apps? I am very interested, can you let me know how to install in a ubuntu odoo 11, thanks a lot

Odoo
@cuongnmfis
by on

We have fixed module for v11, please try now

Odoo
Error install
by on

Hi, Pls Help!!! I'm trying install this module but there's error as below: Odoo Server Error Traceback (most recent call last): File "/odoo11/odoo11-server/odoo/http.py", line 646, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/odoo11/odoo11-server/odoo/http.py", line 307, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/odoo11/odoo11-server/odoo/tools/pycompat.py", line 87, in reraise raise value File "/odoo11/odoo11-server/odoo/http.py", line 683, in dispatch result = self._call_function(**self.params) File "/odoo11/odoo11-server/odoo/http.py", line 339, in _call_function return checked_call(self.db, *args, **kwargs) File "/odoo11/odoo11-server/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/odoo11/odoo11-server/odoo/http.py", line 332, in checked_call result = self.endpoint(*a, **kw) File "/odoo11/odoo11-server/odoo/http.py", line 927, in __call__ return self.method(*args, **kw) File "/odoo11/odoo11-server/odoo/http.py", line 512, in response_wrap response = f(*args, **kw) File "/odoo11/odoo11-server/addons/web/controllers/main.py", line 924, in call_button action = self._call_kw(model, method, args, {}) File "/odoo11/odoo11-server/addons/web/controllers/main.py", line 912, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/odoo11/odoo11-server/odoo/api.py", line 689, in call_kw return call_kw_multi(method, model, args, kwargs) File "/odoo11/odoo11-server/odoo/api.py", line 680, in call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/odoo11/odoo11-server/odoo/addons/base/module/module.py", line 70, in check_and_log return method(self, *args, **kwargs) File "/odoo11/odoo11-server/odoo/addons/base/module/module.py", line 437, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/odoo11/odoo11-server/odoo/addons/base/module/module.py", line 530, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/odoo11/odoo11-server/odoo/modules/registry.py", line 84, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/odoo11/odoo11-server/odoo/modules/loading.py", line 343, in load_modules loaded_modules, update_module) File "/odoo11/odoo11-server/odoo/modules/loading.py", line 242, in load_marked_modules loaded, processed = load_module_graph(cr, graph, progressdict, report=report, skip_modules=loaded_modules, perform_checks=perform_checks) File "/odoo11/odoo11-server/odoo/modules/loading.py", line 121, in load_module_graph load_openerp_module(package.name) File "/odoo11/odoo11-server/odoo/modules/module.py", line 368, in load_openerp_module __import__('odoo.addons.' + module_name) File "/odoo11/odoo11-server/odoo/modules/module.py", line 82, in load_module exec(open(modfile, 'rb').read(), new_mod.__dict__) File "", line 21, in ImportError: No module named 'res_company'